# ToolClickEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents the method that will handle the [ToolClick](https://docs.wisej.com/api/wisej.web/wisej.web.textboxbase#toolclick), [ToolClick](https://docs.wisej.com/api/wisej.web/monthcalendar#toolclick), [ToolClick](https://docs.wisej.com/api/lists-and-grids/treeview#toolclick), [ToolClick](https://docs.wisej.com/api/containers/form#toolclick), [ToolClick](https://docs.wisej.com/api/containers/wisej.web.panel#toolclick), [ToolClick](https://docs.wisej.com/api/lists-and-grids/datagridview#toolclick), [ToolClick](https://docs.wisej.com/api/lists-and-grids/listview#toolclick) events.

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void ToolClickEventHandler(Object sender, ToolClickEventArgs e)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub ToolClickEventHandler(ByVal sender As [Object], ByVal e As ToolClickEventArgs)
```

{% endtab %}
{% endtabs %}

## Parameters

| Name       | Type                                                                                            | Description                                                                                                                     |
| ---------- | ----------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| **sender** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                                   | The source of the event.                                                                                                        |
| **e**      | [ToolClickEventArgs](https://docs.wisej.com/api/wisej.web/editors/wisej.web.toolclickeventargs) | A [ToolClickEventArgs](https://docs.wisej.com/api/wisej.web/editors/wisej.web.toolclickeventargs) that contains the event data. |

## Fired By

| Name                                                                                                | Description                                                                                                    |
| --------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------- |
| [ComboBox.ToolClick](https://docs.wisej.com/api/lists-and-grids/combobox#toolclick)                 | Fired when a [ComponentTool](https://docs.wisej.com/api/wisej.web/editors/wisej.web.componenttool) is clicked. |
| [DateTimePicker.ToolClick](https://docs.wisej.com/api/wisej.web/wisej.web.datetimepicker#toolclick) | Fired when a [ComponentTool](https://docs.wisej.com/api/wisej.web/editors/wisej.web.componenttool) is clicked. |
| [Form.ToolClick](https://docs.wisej.com/api/containers/form#toolclick)                              | Fired when a [ComponentTool](https://docs.wisej.com/api/wisej.web/editors/wisej.web.componenttool) is clicked. |
| [ListBox.ToolClick](https://docs.wisej.com/api/lists-and-grids/listbox#toolclick)                   | Fired when a [ComponentTool](https://docs.wisej.com/api/wisej.web/editors/wisej.web.componenttool) is clicked. |
| [MonthCalendar.ToolClick](https://docs.wisej.com/api/wisej.web/monthcalendar#toolclick)             | Fired when a [ComponentTool](https://docs.wisej.com/api/wisej.web/editors/wisej.web.componenttool) is clicked. |
| [Panel.ToolClick](https://docs.wisej.com/api/containers/wisej.web.panel#toolclick)                  | Fired when a [ComponentTool](https://docs.wisej.com/api/wisej.web/editors/wisej.web.componenttool) is clicked. |
| [TextBoxBase.ToolClick](https://docs.wisej.com/api/wisej.web/wisej.web.textboxbase#toolclick)       | Fired when a [ComponentTool](https://docs.wisej.com/api/wisej.web/editors/wisej.web.componenttool) is clicked. |
| [DataGridView.ToolClick](https://docs.wisej.com/api/lists-and-grids/datagridview#toolclick)         | Fired when a [ComponentTool](https://docs.wisej.com/api/wisej.web/editors/wisej.web.componenttool) is clicked. |
| [ListView.ToolClick](https://docs.wisej.com/api/lists-and-grids/listview#toolclick)                 | Fired when a [ComponentTool](https://docs.wisej.com/api/wisej.web/editors/wisej.web.componenttool) is clicked. |
| [PropertyGrid.ToolClick](https://docs.wisej.com/api/lists-and-grids/propertygrid#toolclick)         | Fired when a [ComponentTool](https://docs.wisej.com/api/wisej.web/editors/wisej.web.componenttool) is clicked. |
| [TreeView.ToolClick](https://docs.wisej.com/api/lists-and-grids/treeview#toolclick)                 | Fired when a [ComponentTool](https://docs.wisej.com/api/wisej.web/editors/wisej.web.componenttool) is clicked. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/editors/wisej.web.toolclickeventhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
